=begin rdoc
= Three Line Tools
Copyright 2009, Chris Fullmer
All Rights Reserved

== Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.

== License
Portions of the code Copyright 2005-2007, Google, Inc. and can be found in utilities.rb that comes with Sketchup.
The rest is Copyright 2009, Chris Fullmer
You may not alter, publish, market, distribute, give, transfer, sell or sublicense the Scripts or any part of this Script.

== Information
See clf_vertical_line_maker.rb inside the folder by the same name for further details.
=end

require 'sketchup.rb'
require 'extensions.rb'


#Register the Sandbox Tools with SU's extension manager
ext = SketchupExtension.new("3 Line Tools", "clf_vertical_line_maker/clf_vertical_line_maker.rb")
ext.name = "3 Line Tools"
ext.description = "Makes vertical lines by desired length, by elevation, or by following the normal of a face, edge, or vertex"
ext.version = "2.0"
ext.creator = "Chris Fullmer, distributed at www.sketchucation.com"
ext.copyright = "2009, Chris Fullmer"

Sketchup.register_extension(ext, true)
